Extending Qt Creator Manual | ColorScheme

Extending Qt Creator Manual 4.7.1

# ColorScheme Class

(TextEditor::ColorScheme)

- List of all members, including inherited members

## Public Functions

void | clear()
bool | contains(TextEditor::TextStyle category) const
int | displayName() const
bool | equals(const TextEditor::ColorScheme &cs) const
int & | formatFor(TextEditor::TextStyle)
int | formatFor(TextEditor::TextStyle) const
bool | isEmpty() const
bool | load(const int &fileName)
bool | save(const int &fileName, int *parent) const
void | setDisplayName(const int &name)
void | setFormatFor(TextEditor::TextStyle category, const int &format)

## Static Public Members

int | readNameOfScheme(const int &)

## Member Function Documentation

### void ColorScheme::clear()

### bool ColorScheme::contains(TextEditor::TextStyle category) const

### int ColorScheme::displayName() const

See also setDisplayName().

### bool ColorScheme::equals(const TextEditor::ColorScheme &cs) const

### int &ColorScheme::formatFor(TextEditor::TextStyle)

See also setFormatFor().

### int ColorScheme::formatFor(TextEditor::TextStyle) const

### bool ColorScheme::isEmpty() const

### bool ColorScheme::load(const int &fileName)

### `[static]` int ColorScheme::readNameOfScheme(const int &)

### bool ColorScheme::save(const int &fileName, int *parent) const

### void ColorScheme::setDisplayName(const int &name)

See also displayName().

### void ColorScheme::setFormatFor(TextEditor::TextStyle category, const int &format)

See also formatFor().